# Version 0 (Unfinished Release)

## **Unfinished Release** (v0) [30% Progress]

✅ New
* stone/deepslate to cobblestone/cobbled deepslate (stonecutter)
* craftable cobweb
* chainmail armor recipe
* various colormixing recipes for dyes
* (dead) coral block recipe
* dry coral (furnace)
* exchange coral/coral fans
* experience bottle recipe
* crush glowberries to glowstone
* grass recipe
* horse armor recipes
* dry rotten flesh to leather (furnace)
* emtpy a filled map
* saddle recipe
* spectral arrow recipe
* trident recipe
* wool to string
* mushroom block recipes
* warped wart block recipe
* shortcuts for (trapped) chests, dispenser, ladder, repeater, spectral arrow
* reverse for amethyst/dripstone/honeycomb/purpur/snow block, cobweb, warped/nether wart block, glowstone, blue/packed ice, tnt/chest/furnace/hopper minecart, red/brown mushroom block, (red) nether bricks (crafting table/stonecutter), block of quartz

🔁 Changed
* Beacon recipe with any colored glass and crying obsidian
* bell with any plank type


## **Unfinished Release** (v0.1) [40% Progress]

✅ New
* added slab to block recipes for acacia/crimson/dark oak/jungle/mangrove/oak/spruce/warped planks, (polished) andesite/diorite/granite, blackstone, (mud/endstone/nether/prismarine/red nether/stone) bricks, cobbled deepslate, cobblestone, (waxed) (exposed/oxidized/weathered) cut copper, (cut/smooth) (red) sandstone, (dark) prismarine, deepslate bricks/tiles, mossy cobblestone/stone bricks, polished blackstone/deepslate bricks, purpur, (smooth) quartz, (smooth) stone
* trapped chest shortcut and chest shortcut now work combined

🔁 Changed
* spectral arrow recipe (with glowberries)  now results in 2 spectral arrows to match vanilla

❌ Removed
* removed spectral arrow shortcuts


## **Unfinished Release** (v0.2) [60% Progress]

✅ New
* added chest boat shortcuts (similar to minecart shortcuts)
* nametag recipe
* infuse obsidian with ghast tears to get crying obsidian
* even more recipes grouped together with vanilla recipes in the recipe book (dispenser/repeater shortcut, bed redye, dyes from colormixing, (trapped) chest (shortcut))

🔁 Changed
* bugfix: kevr:slabtoblock_cut_sandstone required cut sandstone, instead of cut sandstone slabs


## **Unfinished Release** (v0.3) [70% Progress]

✅ New
* added shapeless jack o'lantern recipe using any of the following light emitting items: any candle, glow berries, glowstone, glowstone (dust), sealantern, (soul) lantern, (redstone/soul) torch
* you can now convert infested (cracked/mossy/chiseled) stone bricks, infested cobblestone, infested deepslate and infested stone to regular (cracked/mossy/chiseled) stone bricks, cobblestone, deepslate and infested stone by simply putting it in a stonecutter


## **Unfinished Release - Recipe Book Unlocked!** (v0.4) [75% Progress]

✅ New
* slab to block recipes are now unlocked and shown in the recipe book, if you have the type of slab needed
* shortcut recipes are now unlocked and shown in the recipe book, if craft/obtain the item the shortcut is for or obtain the recipe for that item
* added slab to block recipe for polished blackstone

🔁 Changed
* changed bell recipe to require an additional gold block, because of feedback by [@Jasdan](https://www.planetminecraft.com/member/jasdan/)
* #kevr:light_emitting (used for crafting jack o'lantern) now includes frog light variants
* added as/at comment to functions
* bugfix: kevr:slabtoblock_smooth_stone resulted in smooth stone slabs, instead of smooth stone


## **Unfinished Release** (v0.5) [85% Progress]

✅ New
* reverse recipes are now unlocked and shown in the recipe book, if you obtain the item you can reverse
* exchange recipes are now unlocked and shown in the recipe book, if you obtain one of the 2 items you can exchange
* new recipes are now unlocked and shown in the recipe book, if you obtain a specific required items or the item the recipe is for
* candle recipe is now shapeless
* you can directly dye a candle while crafting it (combine wax, string and dye to get a dyed candle; grouped with dyed_candle in recipe book)
* you can directly dye a bed while crafting it (normal bed recipe with any color wool and dye on top; grouped with bed in recipe book)

🔁 Changed
* renamed shortcut_trapped_chest and shortcut_shortcut_trapped chest to shortcut_trapped_chest_planks and shortcut_trapped_chest_logs
* renamed new_grass to new_grass_block
* re-balanced purpur, changed leather smelting time from 5s to 15s, because of feedback by [@Aceplante](https://www.planetminecraft.com/member/aceplante/)

❌ Removed
* removed reverse red/brown mushroom block, because of feedback by [@Aceplante](https://www.planetminecraft.com/member/aceplante/)


## **Unfinished Release** (v0.5.2) [85% Progress]

✅ New
* added reverse clay recipe (suggested by [@Caz_the_axolotl](https://www.planetminecraft.com/member/caz_the_axolotl/))

🔁 Changed
* horse armor requires previous level to craft, because of feedback by [@Jasdan](https://www.planetminecraft.com/member/jasdan/)
* vanilla leather horse armor recipe now grouped with other horse armor recipes


## **Unfinished Release** (v0.6) [95% Progress]

✅ New
* added shortcut recipe for sticks from log (suggested by [@Mkhansen981017](https://www.planetminecraft.com/member/mkhansen981017/)), grouped with vanilla sticks
* redye recipes are now unlocked and shown in the recipe book, if you obtain any color of the item that can be redyed

🔁 Changed
* bugfix: all shortcuts for light gray bed not working (thanks for reporting [@Mkhansen981017](https://www.planetminecraft.com/member/mkhansen981017/))
* ladder shortcuts now grouped together
* renamed kevr:colored_glass and kevr:colored_glass_pane to kevr:stained_glass and kevr:stained_glass_pane to match vanilla

---

# Official Release

## **Official Release** (v1)

✅ New
* infested recipes are now unlocked and shown in the recipe book, if you obtain the corresponding type of infested stone
* colormix recipes are now unlocked and shown in the recipe book, if you obtain any of dye needed for the specific recipe
* dry recipes are now unlocked and shown in the recipe book, if you obtain the item that can be dried